--[[ $Id$
   Copyright (c) Brett England, 2013
   Copyright (c) Mark Baldwin, 2013

   No commercial use.
   No redistribution at profit.
   All derivative work must retain this message and
   acknowledge the work of the original author.
--]]



-- show default status bar (iOS)
--display.setStatusBar( display.DefaultStatusBar )

-- include Corona's "widget" library

bsc = require("bsc")
xap = require("xap")
ui = require("ui")
local widget = require "widget"
local storyboard = require "storyboard"
storyboard.purgeOnSceneChange = true

-- Setup GLOBAL xap_server object
xap_server = xap.TCPServer("192.168.1.5") --("81.102.181.3")--set server to here
xap_server:setSource("dbzoo.corona.applet") --hmm need to look at this



-- UI helper functions
function toggle(v, xpos, ypos)
    v.x = xpos
	v.y = ypos
	v.size = v.size or 20
	v.default = v.default or "glossy_button_red.png"
	v.on = v.on or "glossy_button_green.png"
	return bsc.newToggle(v)
end

function button(v, xpos, ypos)
	return bsc.newButton {
			defaultSrc = v.icon, defaultX = 80, defaultY = 80, -- img, width, height
			x=xpos, y=ypos, -- position
			size=20, -- font size
			offset=15,
			label={text=v.label, offset=-5, size=10, textColor={ 0, 0, 0, 255 }},
			textColor={ 0, 0, 0, 255 }, -- r,g,b,a
			xapSource=v.xapSource,
	}
end



function slider(v, xpos, ypos)
	return bsc.newButton {
			defaultSrc = v.icon, defaultX = 320, defaultY = 80, -- img, width, height
			x=xpos, y=ypos, -- position
			size=20, -- font size
			offset=0,
			label={text=v.label, offset=0, size=8, textColor={ 255, 255, 255, 255 }},
			textColor={ 255, 255, 255, 255 }, -- r,g,b,a
			xapSource=v.xapSource,
	}
end



function scale(v, xpos, ypos)
	bsc.newScale {
			defaultSrc = v.icon, defaultX = 400, defaultY = 80, -- img, width, height
			x=xpos, y=ypos, -- position
			size=20, -- font size
			offset=0,
			label={text=v.label, offset=0, size=10, textColor={ 255, 255, 255, 255 }},
			textColor={ 255, 255, 255, 255 }, -- r,g,b,a
			xapSource=v.xapSource,
	}
end 

-- event listeners for tab buttons:
local function onFirstView( event )
	storyboard.gotoScene( "view1" )
end

local function onSecondView( event )
	storyboard.gotoScene( "view2" )
end

local function onThirdView( event )
	storyboard.gotoScene( "view3" )
end


-- create a tabBar widget with two buttons at the bottom of the screen

-- table to setup buttons
local tabButtons = {
	{ label="Floorplan", defaultFile = "icon1.png", overFile = "icon1-down.png", width = 32, height = 32, onPress=onFirstView, selected=true },
 	{ label="Data", defaultFile = "icon2.png", overFile = "icon2-down.png", width = 32, height = 32, onPress=onSecondView },
 	{ label="Control", defaultFile = "icon2.png", overFile = "icon2-down.png", width = 32, height = 32, onPress=onThirdView },
}

-- create the actual tabBar widget
local tabBar = widget.newTabBar{
	top = display.contentHeight - 50,	-- 50 is default height for tabBar widget
	buttons = tabButtons
}

onFirstView()	-- invoke first tab button's onPress event manually
